GET /repos/{owner}/{repo}/deployments
Operation ID: repos/list-deployments
Auth: bearer_token
Description
Simple filtering of deployments is available via query parameters:
Parameters (8)
(string, query, optional, default: none)
The name of the environment that was deployed to (e.g., `staging` or `production`).
(string, path, required)
The account owner of the repository. The name is not case sensitive.
(integer, query, optional, default: 1)
The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(integer, query, optional, default: 30)
The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(string, query, optional, default: none)
The name of the ref. This can be a branch, tag, or SHA.
(string, path, required)
The name of the repository without the `.git` extension. The name is not case sensitive.
(string, query, optional, default: none)
The SHA recorded at creation time.
(string, query, optional, default: none)
The name of the task for the deployment (e.g., `deploy` or `deploy:migrations`).
No probe data for this endpoint yet.